defaults:
  payment:
    name:                             'Payment'
    description:                      ''
    weight:                           -999
    params:
      enable_payment:
        type:                         boolean
        value:                        false
        name:                         'Payment'
        description:                  'Activate global payment functions.'
        editable:                     true
        system:                       false
        nullable:                     false
      payment_currency:
        type:                         currency
        value:                        'EUR'
        name:                         'Currency'
        description:                  'Currency symbol or abbreviation.'
        editable:                     true
        system:                       false
        nullable:                     false
      payment_currency_ratio:
        type:                         float
        value:                        1
        name:                         'Currency Ratio'
        description:                  'How much currency is one credit?'
        editable:                     true
        system:                       false
        nullable:                     false
      payment_single_payment_media:
        type:                         boolean
        value:                        false
        name:                         'Single Payment Media'
        description:                  'Activate single payment for media.'
        editable:                     true
        system:                       false
        nullable:                     false
<?php if(stToolkit::moduleEnabled('channel') || stToolkit::moduleEnabled('channels')): ?># line ending workaround
      payment_single_payment_channels:
        type:                         boolean
        value:                        false
        name:                         'Single Payment Channels'
        description:                  'Activate single payment for channels.'
        editable:                     true
        system:                       false
        nullable:                     false
<?php endif; ?># line ending workaround
<?php if(stToolkit::moduleEnabled('livestreamBackend', 'backend')): ?># line ending workaround
      payment_single_payment_livestreams:
        type:                         boolean
        value:                        false
        name:                         'Single Payment Livestreams'
        description:                  'Activate single payment for livestreams.'
        editable:                     true
        system:                       false
        nullable:                     false
<?php endif; ?># line ending workaround
      payment_single_payment_portal:
        type:                         boolean
        value:                        false
        name:                         'Single Payment Portal'
        description:                  'Activate single payment for all portal contents.'
        editable:                     true
        system:                       false
        nullable:                     false
<?php if(stToolkit::moduleEnabled('channel') || stToolkit::moduleEnabled('channels')): ?># line ending workaround
      payment_subscription_payment_channels:
        type:                         boolean
        value:                        false
        name:                         'Subscription Payment Channels'
        description:                  'Activate subscription payment for channels.'
        editable:                     true
        system:                       false
        nullable:                     false
<?php endif; ?># line ending workaround
<?php if(stToolkit::moduleEnabled('livestreamBackend', 'backend')): ?># line ending workaround
      payment_subscription_payment_livestreams:
        type:                         boolean
        value:                        false
        name:                         'Subscription Payment Livestreams'
        description:                  'Activate subscription payment for livestreams.'
        editable:                     true
        system:                       false
        nullable:                     false
<?php endif; ?># line ending workaround
      payment_subscription_payment_portal:
        type:                         boolean
        value:                        false
        name:                         'Subscription Payment Portal'
        description:                  'Activate subscription payment for all portal contents.'
        editable:                     true
        system:                       false
        nullable:                     false
      payment_single_payment_activation_timeframe:
        type:                         integer
        value:                        24
        min:                          1
        name:                         'Single Payment Activation Timeframe'
        description:                  'Timeframe in hours that users can access a medium after payment.'
        editable:                     true
        system:                       false
        nullable:                     false
      payment_single_payment_portal_price:
        type:                         float
        value:                        0
        name:                         'Single Payment Portal Price'
        description:                  'The costs for consuming all portal contents for the defined timeframe.'
        editable:                     true
        system:                       false
        nullable:                     false
      payment_single_payment_credit_account_amounts:
        type:                         string
        value:                        '5, 10, 30, 50, 100'
        name:                         'Single Payment Credit Account Amounts'
        description:                  'Amounts that can be purchased to recharge the users credit account.'
        editable:                     true
        system:                       false
        nullable:                     false
      payment_enable_ssl:
        type:                         boolean
        value:                        false
        name:                         'SSL Support'
        description:                  'SSL support for certain pages (my purchases, my subscriptions, my sales).'
        editable:                     true
        system:                       false
        nullable:                     false
      payment_preview_overlay:
        type:                         file
        destination:                  %SF_ROOT_DIR%/userdata/
        mime-types:                   web_images
        value:                        
        name:                         'Preview Overlay'
        description:                  'Upload a player overlay image to be display while playing a preview video.'
        editable:                     true
        system:                       false
        nullable:											true
      payment_preview_video_length:
        type:                         integer
        value:												30
        name:                         'Preview Video Length'
        description:                  'Define the length of the preview videos (in seconds). Will be ignored by transcoder type "Transcoding Service".'
        editable:                     true
        system:                       false
        nullable:                     true
      payment_preview_audio_length:
        type:                         integer
        value:												30
        name:                         'Preview Audio Length'
        description:                  'Define the length of the preview audios (in seconds). Will be ignored by transcoder type "Transcoding Service".'
        editable:                     true
        system:                       false
        nullable:                     true
      payment_preview_watermark_for_images:
        type:                         file
        destination:                  %SF_ROOT_DIR%/userdata/
        mime-types:                   web_images
        value:
        name:                         'Preview Watermark for Images'
        description:                  'Upload a watermark that will be converted into the preview image.'
        editable:                     true
        system:                       false
        nullable:                     true